Bug 483714 - password-less Kerberos authentication needs cyrus-sasl*
password-less Kerberos authentication needs cyrus-sasl*
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
: EasyFix, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 04:23 EST by Matěj Cepl
Modified: 2009-12-18 02:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:47:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from running pidgin --debug (123.17 KB, text/plain)
2009-02-03 04:24 EST, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-02-03 04:23:05 EST
Description of problem:
Suddenly (couple of days ago) Kerberos-based password-less authentication doesn't work with pidgin and RH internal Jabber server.

Pidgin asks for password (it used to work without me changing anything in the account settings) and when using non-sensical password (which used to be a way in other clients how to make them use Kerberos authentication) it fails to authenticate.

In the same moment, logging into the server with gajim works perfectly well with using empty password.

Log from the example session has been attached.

Version-Release number of selected component (if applicable):
pidgin-2.5.4-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1.just try to connect to @redhat.com account without a password (Kerberos ticket is active; can connect with gajim)
2.
3.
  
Actual results:
authentication failed

Expected results:
password-less authentication

Additional info:
Isn't it wrong when pidgin (according to the log) tries first PLAIN authentication and only when it fails tries GSSAPI? Shouldn't it go other way around?
Comment 1 Matěj Cepl 2009-02-03 04:24:01 EST
Created attachment 330719 [details]
log from running pidgin --debug
Comment 2 Matěj Cepl 2009-03-03 17:05:49 EST
Explanation is simple: pidgin (or rather libpurple) doesn't require cyrus-sasl-gssapi package. It should. When I installed it, Kerberos authentication suddenly works.
Comment 3 Stu Tomlinson 2009-03-03 20:29:24 EST
No, libpurple shouldn't require this (it's debatable enough that it hard Requires: cyrus-sasl-plain, cyrus-sasl-md5). Not many people need this, and it would likely pull in a ton of dependencies. RPM Suggests: would be nice, but we don't have it (yet?).
Comment 4 Matěj Cepl 2009-03-04 06:38:03 EST
Let me respectfully disagree:

[matej@viklef ~]$ diff -u <(rpm -qR cyrus-sasl-{plain,md5}|sort) <(rpm -qR cyrus-sasl-gssapi|sort)|grep ^+l|cut -d '+' -f 2|xargs rpm -q --whatprovides|sort -u|xargs rpm -q --qf="%{SIZE}\n"|tr '\n' '+'|sed -e 's/+$/\n/'|bc
1993436

Two megabytes of the installed files doesn't seem to be that big cost for increased security. Moreover, this (although this might be bad argument for Fedora) could be quite interesting for many enterprise/university installations ... pidgin is currently the only open source IM client which supports Kerberos well.
Comment 5 Stu Tomlinson 2009-03-04 10:42:39 EST
I agree it is good that libpurple supports Kerberos (I use it daily), but I don't think this is something we need to add as a forced requirement for every Fedora user. It might be more appropriate to make sure it is included in the default set of installed packages, but making it a hard Require: in the libpurple RPM will prevent people from removing it without removing libpurple.
Comment 6 Matěj Cepl 2009-03-04 11:14:22 EST
So, what is the procedure for changing comps? Just to switch this but to comps component?
Comment 7 Warren Togami 2009-03-24 11:37:35 EDT
We will not add these as hard requirements of pidgin.
Comment 8 Matěj Cepl 2009-03-25 02:32:43 EDT
(In reply to comment #7)
> We will not add these as hard requirements of pidgin.  

But we are not talking about Requires: anymore.
Comment 9 Bug Zapper 2009-11-18 05:58:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 02:47:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.